package ua.example.testseekbars;

import java.util.ArrayList;
import java.util.HashMap;

import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;

public class ActivityTableScore extends Activity {
	
	public static final String TABLE_NAME = "scores";
	public ListView lvScores;
	public ScoresDB myDB;
	public SQLiteDatabase sqdb;
	public ArrayList<HashMap<String, String>> listGamers;
	public HashMap<String, String> map;
	
	public AlertDialog.Builder dialog;
	
	public int position = 1;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_activity_table_score);
		
		lvScores = (ListView)findViewById(R.id.lv_table_scores);
		
		listGamers = new ArrayList<HashMap<String, String>>();
		
		myDB = new ScoresDB(ActivityTableScore.this);
		sqdb = myDB.getWritableDatabase();
		Cursor c = sqdb.query(TABLE_NAME, null, null, null, null, null, null);
		
		if(c.moveToFirst()){
			
			int idName = c.getColumnIndex("name");
			int idScore = c.getColumnIndex("score");
			
			position = c.getCount();
			
			do{
				int scores = c.getInt(idScore);
				String name = c.getString(idName);
				
				map = new HashMap<String, String>();
				map.put("id", ""+position);
				map.put("name", name);
				map.put("score", ""+scores);
				position--;
				listGamers.add(0, map);
				
			}while(c.moveToNext());
		}
		
		sqdb.close();
		myDB.close();
		for(int i = 0; i<listGamers.size()-1; i++)
			for(int j = 0; j<(listGamers.size()-1); j++){
				int elmOne = Integer.parseInt(listGamers.get(j).get("score").toString());
				int elmTwo = Integer.parseInt(listGamers.get(j+1).get("score").toString());
				
				if(elmOne<elmTwo){
					HashMap<String, String> buf = listGamers.get(j);
					listGamers.set(j, listGamers.get(j+1));
					listGamers.set((j+1), buf);
				}
			}
		
		for(int i = 0; i < listGamers.size(); i++){
			HashMap<String, String> buf = listGamers.get(i);
			buf.put("id", ""+(i+1));
			buf.put("name", listGamers.get(i).get("name").toString());
			buf.put("score", listGamers.get(i).get("score").toString());
			listGamers.set(i, buf);
		}
		
		SimpleAdapter adapter;
		adapter = new SimpleAdapter(getApplicationContext(), listGamers, 
				R.layout.list_item, new String[]{"id", "name", "score"}, new int[]{R.id.tv_id, R.id.tv_name, R.id.tv_score});
		lvScores.setAdapter(adapter);
		
	}
	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// TODO Auto-generated method stub
		getMenuInflater().inflate(R.menu.menu_table, menu);
		return true;
	}
	
	@Override
	public boolean onMenuItemSelected(int featureId, MenuItem item) {
		// TODO Auto-generated method stub
		if(item.getItemId()==R.id.delete_db){
			
			dialog = new AlertDialog.Builder(this);
			dialog.setTitle(" ");
			dialog.setMessage(" ,    ?")
			.setPositiveButton("", new OnClickListener() {
				
				@Override
				public void onClick(DialogInterface dialog, int which) {
					// TODO Auto-generated method stub
					myDB = new ScoresDB(ActivityTableScore.this);
					sqdb = myDB.getWritableDatabase();
					
					sqdb.delete(TABLE_NAME, null, null);
					
					sqdb.close();
					myDB.close();
					listGamers.clear();
					lvScores.setAdapter(null);
					dialog.cancel();
				}
			})
			.setNegativeButton("", new OnClickListener() {
				
				@Override
				public void onClick(DialogInterface dialog, int which) {
					// TODO Auto-generated method stub
					dialog.cancel();
				}
			});
			
			dialog.show();
			
			return true;
		}
		else
			return super.onMenuItemSelected(featureId, item);
	}
}
