package ua.example.testseekbars;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.ContentValues;
import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class DialogWriteInDB {
	
	private EditText etName;
	private Button btnOk;
	private Button btnCancel;
	private Dialog dialog;
	private Activity activity;
	
	private String title;
	
	public int scores;
	
	public ScoresDB myDB;
	public SQLiteDatabase sqdb;
	public static final String TABLE_NAME = "scores";
	
	DialogWriteInDB(Context context, int scores, String title){
		this.activity = (Activity)context;
		this.scores = scores;
		this.title = title;
		init();
	}
	
	private void init(){
		LayoutInflater  inflater= LayoutInflater.from(this.activity);
		View layout = inflater.inflate(R.layout.view_dialog, null);
		
		etName = (EditText)layout.findViewById(R.id.et_name);

		btnOk = (Button)layout.findViewById(R.id.btn_ok);
		btnOk.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				//Working with DB==============================
				
				myDB = new ScoresDB(activity);
				sqdb = myDB.getWritableDatabase();
				
				ContentValues cv = new ContentValues();
				
				cv.put("name", etName.getText().toString());
				cv.put("score", scores);
				
				sqdb.insert(TABLE_NAME, null, cv);
				
				sqdb.close();
				myDB.close();
				
				Toast.makeText(activity, "  ", Toast.LENGTH_SHORT).show();
				
				dialog.cancel();
				
				//==============================================
			}
		});
		btnCancel = (Button)layout.findViewById(R.id.btn_cancel);
		btnCancel.setOnClickListener(new OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				dialog.cancel();
			}
		});
		
		AlertDialog.Builder builder = new AlertDialog.Builder(this.activity);
		builder.setView(layout);
		
		dialog = builder.create();
		dialog.setTitle(title);
		
	}
	
	public void show(){
		dialog.show();
	}

}
